> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Program Guides

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Platform",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/program_guides": {
      "get": {
        "summary": "List Program Guides",
        "description": "",
        "tags": [
          "Program Guides"
        ],
        "operationId": "listProgramGuides",
        "parameters": [
          {
            "name": "id",
            "$ref": "#/paths/~1devices/get/parameters/1"
          },
          {
            "name": "created_at",
            "$ref": "#/paths/~1devices/get/parameters/2"
          },
          {
            "name": "q",
            "$ref": "#/paths/~1devices/get/parameters/3"
          },
          {
            "name": "order",
            "$ref": "#/paths/~1videos/get/parameters/29"
          },
          {
            "name": "sort",
            "$ref": "#/paths/~1playlists~1%7Bid%7D~1videos/get/parameters/3"
          },
          {
            "name": "page",
            "$ref": "#/paths/~1playlists~1%7Bid%7D~1videos/get/parameters/1"
          },
          {
            "name": "per_page",
            "$ref": "#/paths/~1playlists~1%7Bid%7D~1videos/get/parameters/2"
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ProgramGuidesResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1program_guides/post/responses/201/content/application~1json/schema/properties/response"
                      },
                      "description": ""
                    },
                    "pagination": {
                      "$ref": "#/paths/~1videos/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      },
      "post": {
        "summary": "Create Program Guide",
        "description": "",
        "tags": [
          "Program Guides"
        ],
        "operationId": "createProgramGuide",
        "requestBody": {
          "description": "",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "title": "ProgramGuideRequest",
                "type": "object",
                "required": [
                  "program_guide"
                ],
                "properties": {
                  "program_guide": {
                    "type": "object",
                    "title": "ProgramGuideProperties",
                    "required": [
                      "name",
                      "url",
                      "language",
                      "time_zone"
                    ],
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "url": {
                        "type": "string",
                        "description": "Source URL used to sync content for the program guide"
                      },
                      "language": {
                        "type": "array",
                        "description": "Two letter abbreviation of the language used to import content for the program guide (`en`, `fr`)",
                        "items": {
                          "type": "string"
                        }
                      },
                      "time_zone": {
                        "type": "string",
                        "description": "Time zone offset for the program guide"
                      },
                      "video_ids": {
                        "description": "List of video ids you wish to add to the program guide.",
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ProgramGuideResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "object",
                      "title": "ProgramGuide",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "created_at": {
                          "type": "string"
                        },
                        "language": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "program_guide_entry_count": {
                          "type": "integer"
                        },
                        "refreshed_at": {
                          "type": "string"
                        },
                        "site_id": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "time_zone": {
                          "type": "string"
                        },
                        "updated_at": {
                          "type": "string"
                        },
                        "url": {
                          "type": "string"
                        },
                        "videos": {
                          "type": "array"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```